"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const parserError_1 = require("../parserError");
const util_1 = require("../util");
const aDate = (x) => {
    if (util_1.isNil(x)) {
        throw new parserError_1.default("date", `${x}`);
    }
    if (x instanceof Date) {
        return x;
    }
    if (typeof x === "string") {
        const millis = Date.parse(x);
        if (!Number.isNaN(millis)) {
            return new Date(millis);
        }
    }
    throw new parserError_1.default("date", typeof x);
};
exports.default = aDate;
