"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const parserError_1 = require("../parserError");
const util_1 = require("../util");
const fromObject = (object, key, valueParser) => {
    if (util_1.isNil(object)) {
        throw new parserError_1.default("Object", `${object}`);
    }
    if (typeof object !== "object") {
        throw new parserError_1.default("Object", `${object}`);
    }
    if (!(key in object)) {
        throw new parserError_1.default(`Object containing key ${key}`, JSON.stringify(object));
    }
    return valueParser(object[key]);
};
exports.default = fromObject;
